Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IRemoteAudioMixerSource Class Referenceabstract

`#include <NGIAgoraRemoteAudioMixerSource.h>`

Inherits agora::RefCountInterface.

## Public Member Functions
virtual | ~IRemoteAudioMixerSource ()
virtual int | addAudioTrack (agora_refptr< IRemoteAudioTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | removeAudioTrack (agora_refptr< IRemoteAudioTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | getMixDelay () const =0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Detailed Description

The IRemoteAudioMixerSource class abstracts a multi-in-single-out audio source which receives audio streams from multiple remote audio tracks and generate mixed audio stream in user defined output format.

## Constructor & Destructor Documentation

## ◆ ~IRemoteAudioMixerSource()

virtual agora::rtc::IRemoteAudioMixerSource::~IRemoteAudioMixerSource | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ addAudioTrack()

virtual int agora::rtc::IRemoteAudioMixerSource::addAudioTrack | ( | agora_refptr< IRemoteAudioTrack > | track,
|  | aosl_ref_t | ares = AOSL_REF_INVALID )
| pure virtual

Add a audio track for mixing. Automatically starts mixing if add audio track

Parameters

  track | The instance of the audio track that you want mixer to receive its audio stream.

## ◆ removeAudioTrack()

virtual int agora::rtc::IRemoteAudioMixerSource::removeAudioTrack | ( | agora_refptr< IRemoteAudioTrack > | track,
|  | aosl_ref_t | ares = AOSL_REF_INVALID )
| pure virtual

Remove a audio track for mixing. Automatically stops the mixed stream if all audio tracks are removed

Parameters

  track | The instance of the audio track that you want to remove from the mixer.

## ◆ getMixDelay()

virtual int agora::rtc::IRemoteAudioMixerSource::getMixDelay | ( |  | ) | const
| pure virtual

Gets the delay time for mix.